View Issue Details

IDProjectCategoryView StatusLast Update
12844Development Survey Designpublic2018-02-16 15:53
Reportertpartner Assigned Tomarkusfluer  
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version3.x 
Target VersionFixed in Version3.x 
Summary12844: No left-hand navigation in IE11
Description

See screenshot - the whole left-hand div id="sidebar" doesn't seem to be rendered (not found in source).

No problem in Edge.

TagsNo tags attached.

Activities

tpartner

tpartner

2017-10-27 21:32

developer  

capture-14.png (112,651 bytes)
markusfluer

markusfluer

2017-11-03 11:41

administrator   ~44947

still an issue?

tpartner

tpartner

2017-11-03 12:25

developer   ~44953

Yup, still don't see it in IE after a fresh pull today.

Also, in Firefox it took a long time (2 refreshes) to appear. Could it be an AJAX issue?

Works fine in Chrome.

markusfluer

markusfluer

2017-11-03 14:26

administrator   ~44962

Found the issue.
Push is floowing shortly.
IE11 cannot handle the ES6 promises. -.-
So I've added a polyfill.

markusfluer

markusfluer

2017-11-03 14:26

administrator   ~44963

Fix committed to develop branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=24455

Related Changesets

LimeSurvey: develop 7fb2798a

2017-11-03 14:26:25

markusfluer

Details Diff
Fixed issue 12844: No left-hand navigation in IE11 Affected Issues
12844
mod - assets/packages/adminpanel/build/lsadminpanel.js Diff File
mod - assets/packages/adminpanel/build/lsadminpanel.js.map Diff File
mod - assets/packages/adminpanel/build/lsadminpanel.min.js Diff File
mod - assets/packages/adminpanel/package.json Diff File
mod - assets/packages/adminpanel/webpack.config.js Diff File

Issue History

Date Modified Username Field Change
2017-10-27 21:32 tpartner New Issue
2017-10-27 21:32 tpartner File Added: capture-14.png
2017-10-27 21:35 tpartner Description Updated View Revisions
2017-11-03 11:41 markusfluer Note Added: 44947
2017-11-03 12:25 tpartner Note Added: 44953
2017-11-03 14:26 markusfluer Note Added: 44962
2017-11-03 14:26 markusfluer Assigned To => markusfluer
2017-11-03 14:26 markusfluer Status new => resolved
2017-11-03 14:26 markusfluer Resolution open => fixed
2017-11-03 14:26 markusfluer Fixed in Version => 3.x
2017-11-03 14:26 markusfluer Changeset attached => LimeSurvey develop 7fb2798a
2017-11-03 14:26 markusfluer Note Added: 44963
2018-02-16 15:53 c_schmitz Status resolved => closed